<?php require_once('Connections/cn.php'); ?>
<?php
 session_start();
 // Captura la datos del usuario que se logueó (Cédula, Tipo de Usuario y Username).
  $cedula_usuario=$_SESSION['CEDULA_USUARIO'];
  $username=$_SESSION['MM_Username'];
  $tipo_usuario=$_SESSION['PRIVILEGIO']; 
 
  mysql_select_db("siga_pregrado");
  mysql_query ("SET NAMES 'utf8'"); 
  $sql = "select apellidos,nombres from usuarios where cedula='$cedula_usuario'";
  $rs=mysql_query($sql,$cn);
  $row=mysql_fetch_array($rs);
  $intruso=$row['apellidos'].', '.$row['nombres'];

  if (!isset($_SESSION['MM_Username']) || $_SESSION['MM_Username']=="") {
      // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de acceso sin iniciar sesión.";
  		$script="imprime_planilla_1.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
	    // Destruye la sessión.
	    session_destroy();
	    header ("Location: modulos/inicio/index.php");
		exit;
	  }  

  if ($tipo_usuario!="1" && $tipo_usuario!="2" && $tipo_usuario!="5" && $tipo_usuario!="10") {
        // Registra el acceso indebido.
		$consulta=addslashes($sql);
  		$fecha=date("Y-m-d G:i:A");
  		$accion="Intento de Acceso indebido";
  		$script="imprime_planilla_1.php";
  		$ip=obtener_ip();
  		$sql1 = "insert into `intrusos` (`username`, `tipo_usuario`,`cedula`, `ip`, `fecha`, `accion`, `script`) values ('$username', '$tipo_usuario', '$cedula_usuario', '$ip', '$fecha', '$accion', '$script')";
  		mysql_query($sql1, $cn) or die(mysql_error());
        // Destruye la sesión.
		session_destroy();
        $inicial = "salida_intruso.php?intruso=$intruso";
        header(sprintf("Location: %s", $inicial));
		exit;
  }  

	
// Para tomar los datos del alumno
// Cargo los datos de los Alumnos.

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");
$query_rstAlumnos = "SELECT id_alumno,cedula,apellidos,nombres FROM alumnos ORDER BY apellidos,nombres";
$rstAlumnos = mysql_query($query_rstAlumnos, $cn) or die(mysql_error());
$totalRows_rstAlumnos = mysql_num_rows($rstAlumnos);

if($totalRows_rstAlumnos >0)
{
    $array_id = array();
	$array_alumno = array();
	$code=0;
	while($alumno = mysql_fetch_assoc($rstAlumnos))
		{
			$array_id[$code] = $alumno["id_alumno"];		
			$array_alumno[$code]=  $alumno["apellidos"].', '.$alumno["nombres"];	
			$code += 1;
		}
}


	// Datos de los periodos abiertos.	
	$query_rsperiodos = "SELECT id_periodo, codigo,tipo FROM periodos WHERE status='ABIERTO' ORDER BY id_periodo desc";
	$rsperiodos = mysql_query($query_rsperiodos, $cn) or die(mysql_error());
	$row_rsperiodos = mysql_fetch_assoc($rsperiodos);
	$totalRows_rsperiodos = mysql_num_rows($rsperiodos);
	
	
	
  if (isset($_GET["order"])) $order = @$_GET["order"];
  if (isset($_GET["type"])) $ordtype = @$_GET["type"];

  if (isset($_POST["filter"])) $filter = @$_POST["filter"];
  if (isset($_POST["filter_field"])) $filterfield = @$_POST["filter_field"];
  $wholeonly = false;
  if (isset($_POST["wholeonly"])) $wholeonly = @$_POST["wholeonly"];

  if (!isset($order) && isset($_SESSION["order"])) $order = $_SESSION["order"];
  if (!isset($ordtype) && isset($_SESSION["type"])) $ordtype = $_SESSION["type"];
  if (!isset($filter) && isset($_SESSION["filter"])) $filter = $_SESSION["filter"];
  if (!isset($filterfield) && isset($_SESSION["filter_field"])) $filterfield = $_SESSION["filter_field"];

?>

<html>
<head>
<title>sadce -- inscripciones por alumno</title>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
  body {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd {
    background-color: #FFFFFF;
    color: #004080;
    font-family: Arial;
    font-size: 12px;
  }
  .bd1 {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 16px;
  }
  .tbl {
    background-color: #FFFFFF;
  }
  a:link { 
    color: #FF0000;
    font-family: Arial;
    font-size: 12px;
  }
  a:active { 
    color: #0000FF;
    font-family: Arial;
    font-size: 12px;
  }
  a:visited { 
    color: #800080;
    font-family: Arial;
    font-size: 12px;
  }
  .hr {
    background-color: #336699;
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:link {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:active {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  a.hr:visited {
    color: #FFFFFF;
    font-family: Arial;
    font-size: 12px;
  }
  .dr {
    background-color: #FFFFFF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
  .sr {
    background-color: #FFFFCF;
    color: #000000;
    font-family: Arial;
    font-size: 12px;
  }
   .style2 {
	color: #004080;
	font-family: Arial;
	font-size: 16px;
	}
</style>
</head>
<script src="jquery.min.js" type="text/javascript"></script>
<meta name="generator" http-equiv="Content-Type" content="text/html; charset=UTF-8">
</head>

<script>
$(document).ready(function(){
	$("#cedula").change(function(){
		$.post("carga_mencion_alumno.php",{ a:$(this).val(),id:document.form1.id_carrera.value },function(data){$("#mencion").html(data);})
	});
	$("#cedula").change(function(){
		$.post("carga_sedes_alumno1.php",{ c:$(this).val(),id:document.form1.id_carrera.value },function(data){$("#id_sede").html(data);})
	});
	$("#cedula").change(function(){
		$.post("carga_turno1.php",{ c:$(this).val(),id:document.form1.id_carrera.value ,p:document.form1.pensum.value },function(data){$("#turno").html(data);})
	});
	$("#cedula").change(function(){
		$.post("cargar_semestres_dos.php",{ id:$(this).val(),c:document.form1.id_carrera.value ,p:document.form1.pensum.value },function(data){$("#semestre").html(data);})
	});
})
</script>

<body>
<table class="bd" width="100%" align="center"><tr><td class="hr"><h2 align="left">Impresi&oacute;n del Comprobante de Inscripci&oacute;n</h2></td></tr></table>
<form name="form1" id="form1" method="post" action="return validar_datos()">
  <table width="99%" border="0" align="center" id="carga" cellpadding="1" cellspacing="10" style="border:1px solid #ccc;">
    
    <tr>
      <td width="77"><div align="right">C&eacute;dula:</div></td>
      <td width="432" colspan="3"><label>
        <input class="bd1" name="cedula" id="cedula"  type="text" size="12" maxlength="20" onBlur="verificar_alumno(this.value,'<?php echo $sede_usuario ?>')" onKeyPress="return soloNum(event)"><iframe name="frameNuevo" id="frameNuevo" with="0" height="0" frameborder="0" ></iframe>
      </label></td>
    </tr>
    <tr>
      <td><div align="right">Apellidos:</div></td>
      <td colspan="3"><label>
        <input name="apellidos" type="text" id="apellidos" size="35" maxlength="50">
      </label>
      &nbsp;&nbsp;&nbsp;&nbsp;Nombres:&nbsp;&nbsp;
      <label>
      <input name="nombres" type="text" id="nombres" size="35" maxlength="50">
      </label></td>
    </tr>
	
    <tr>
      <td><div align="right">Carrera:</div></td>
      <td colspan="3"><label>
        <select name="id_carrera" id="id_carrera" style="width:400px">
          <option value="LCF">LICENCIATURA EN CIENCIAS FISCALES</option>
        </select>
		&nbsp;&nbsp;Pensum:&nbsp;
		<select name="pensum" id="pensum" >
          <option value="6">6</option>
        </select>
      </label></td>
    </tr>
    
    <tr>
      <td><div align="right">Mención:</div></td>
      <td colspan="3">
	  <select name="mencion" id="mencion" >
          <option value="0">SELECCIONE...</option>
        </select>
	  &nbsp;&nbsp;&nbsp;Turno:&nbsp; 
	  <select name="turno" id="turno" >
          <option value="0">SELECCIONE...</option>
        </select>
	  &nbsp;&nbsp;&nbsp;Sede:&nbsp; 
        <select name="id_sede" id="id_sede" >
          <option value="0">SELECCIONE...</option>
        </select></td>
    </tr>
    <tr>
      <td><div align="right">Lapso:</div></td>
      <td colspan="3"><select name="periodo" id="periodo">
        <?php
do {  
?>
        <option value="<?php echo $row_rsperiodos['id_periodo']?>"><?php echo $row_rsperiodos['codigo']?>&nbsp;(<?php echo $row_rsperiodos['tipo']?>)</option>
        <?php
} while ($row_rsperiodos = mysql_fetch_assoc($rsperiodos));
  $rows = mysql_num_rows($rsperiodos);
  if($rows > 0) {
      mysql_data_seek($rsperiodos, 0);
	  $row_rsperiodos = mysql_fetch_assoc($rsperiodos);
  }
?>
      </select></td>
    </tr>
    
    
    <tr>
      <td height="34" colspan="4"><div align="center">
        <label>
        <input name="Enviar" type="button" id="Enviar" value="Imprimir" onClick="return inscripciones()" >
        </label>
      </div></td>
    </tr>
  </table>
    <div align="center"></div>
  <div align="center"></div>
</form>
<p>&nbsp;</p>
</body>

 <script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	function validar_datos()
	{
	 	if(document.form1.sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.sede.focus();
			return false;
			}
		if(document.form1.periodo.value==0){
			alert("El campo <<Periodo>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
		if(document.form1.id_carrera.value==""){
			alert("El campo <<Programa>> es obligatorio");
			document.form1.carrera.focus();
			return false;
			}
        if(document.form1.seccion.value==""){
			alert("El campo <<Sección>> es obligatorio");
			document.form1.seccion.focus();
			return false;
			}
			
			return true;
	}
	
</script>

<script type="text/javascript">
	var nav4 = window.Event ? true : false;
	function soloNum(evt)
	{	
	// NOTE: Backspace = 8, Enter = 13, '0' = 48, '9' = 57, ','= 44, '.'= 46
		var key = nav4 ? evt.which : evt.keyCode;	
		//var str=obj.value;
	
		return (key == 8 || key == 13 || (key >= 48 && key <= 57));
	}
	
	
	function verificar_alumno(cedula,sede)
    {
 	if (cedula!="")
	 {
	 url="validar_alumno4.php?cedula="+cedula;
	 frameNuevo.location=url;
	 }
}
</script>
 <?php
 
 function obtener_ip()
  {
 if ($_SERVER) {  
    if ( $_SERVER[HTTP_X_FORWARDED_FOR] ) {  
    $realip = $_SERVER["HTTP_X_FORWARDED_FOR"];  
   } elseif ( $_SERVER["HTTP_CLIENT_IP"] ) {  
$realip = $_SERVER["HTTP_CLIENT_IP"];  
} else  {  
$realip = $_SERVER["REMOTE_ADDR"];  
}  
} else {  
if ( getenv( 'HTTP_X_FORWARDED_FOR' ) ) {  
$realip = getenv( 'HTTP_X_FORWARDED_FOR' );  
} elseif ( getenv( 'HTTP_CLIENT_IP' ) ) {  
$realip = getenv( 'HTTP_CLIENT_IP' );  
} else {  
$realip = getenv( 'REMOTE_ADDR' );  
}  
}  
return $realip;  
  }

mysql_free_result($rsperiodos);

?>

<script type="text/javascript">
 function inscripciones()
 {

   <!--alert("¡Lo sentimos!.  El proceso de inscripción culminó el día 18-01-2013.");
<!--			return false;
    
    if(document.form1.periodo.value==0){
			alert("El campo <<Lapso>> es obligatorio");
			document.form1.periodo.focus();
			return false;
			}
     if(document.form1.id_sede.value==0){
			alert("El campo <<Sede>> es obligatorio");
			document.form1.id_sede.focus();
			return false;
			}
	if(document.form1.id_carrera.value==0){
			alert("El campo <<Carrera>> es obligatorio");
			document.form1.carrera.focus();
			return false;
			}
   	<!-- Procede a validar la inscripción.
		url="modulos/reportes/comprobante_inscripcion1.php?id_alumno="+document.form1.cedula.value+"&id_periodo="+document.form1.periodo.value+"&codigo_sede="+document.form1.id_sede.value+"&id_carrera="+document.form1.id_carrera.value+"&mencion="+document.form1.mencion.value;
	     window.open(url);
	 
 }
</script>

